import { v1 as uuidV1 } from 'uuid';

const R = 0x52;
const e = 0x65;
const n = 0x6e;
const a = 0x61;
const i = 0x69;
const nice = 0x45;

/**
 * This UUID is dependant on 100-nanosecond intervals since 15 October 1582.
 * It wraps in 3400 AD.
 * see RFC 4122 4.2.1.
 */
export function uuid(): string {
  return uuidV1({
    node: [R, e, n, a, i, nice],
  });
}
